Loading...
Searching...
No Matches
itk::VectorContainerSource< TOutputVectorContainer > Class Template Reference

`#include <itkVectorContainerSource.h>`

## Detailed Description

template<class TOutputVectorContainer>
class itk::VectorContainerSource< TOutputVectorContainer >

A base class for creating an ImageToVectorContainerFilter.

Definition at line 32 of file itkVectorContainerSource.h.

Inheritance diagram for itk::VectorContainerSource< TOutputVectorContainer >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | OutputVectorContainerPointer = typename OutputVectorContainerType::Pointer
using | OutputVectorContainerType = TOutputVectorContainer
using | Pointer = SmartPointer<Self>
using | Self = VectorContainerSource
using | Superclass = ProcessObject

## Public Member Functions

virtual const char * | GetClassName () const
OutputVectorContainerType * | GetOutput ()
OutputVectorContainerType * | GetOutput (unsigned int idx)
virtual void | GraftNthOutput (unsigned int idx, DataObject *output)
virtual void | GraftOutput (DataObject *output)
| ITK_DISALLOW_COPY_AND_MOVE (VectorContainerSource)
DataObjectPointer | MakeOutput (ProcessObject::DataObjectPointerArraySizeType idx) override

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

void | PrintSelf (std::ostream &os, Indent indent) const override
| VectorContainerSource ()
| ~VectorContainerSource () override=default

## Private Attributes

int | m_GenerateDataNumberOfRegions {}
int | m_GenerateDataRegion {}

## Member Typedef Documentation

## ConstPointer

template<class TOutputVectorContainer>

using itk::VectorContainerSource< TOutputVectorContainer >::ConstPointer = SmartPointer<const Self>

Definition at line 41 of file itkVectorContainerSource.h.

## OutputVectorContainerPointer

template<class TOutputVectorContainer>

using itk::VectorContainerSource< TOutputVectorContainer >::OutputVectorContainerPointer = typename OutputVectorContainerType::Pointer

Definition at line 52 of file itkVectorContainerSource.h.

## OutputVectorContainerType

template<class TOutputVectorContainer>

using itk::VectorContainerSource< TOutputVectorContainer >::OutputVectorContainerType = TOutputVectorContainer

Definition at line 51 of file itkVectorContainerSource.h.

## Pointer

template<class TOutputVectorContainer>

using itk::VectorContainerSource< TOutputVectorContainer >::Pointer = SmartPointer<Self>

Definition at line 40 of file itkVectorContainerSource.h.

## Self

template<class TOutputVectorContainer>

using itk::VectorContainerSource< TOutputVectorContainer >::Self = VectorContainerSource

Standard ITK-stuff.

Definition at line 38 of file itkVectorContainerSource.h.

## Superclass

template<class TOutputVectorContainer>

using itk::VectorContainerSource< TOutputVectorContainer >::Superclass = ProcessObject

Definition at line 39 of file itkVectorContainerSource.h.

## Constructor & Destructor Documentation

## VectorContainerSource()

template<class TOutputVectorContainer>

itk::VectorContainerSource< TOutputVectorContainer >::VectorContainerSource | ( |  | ) |

protected

The constructor.

## ~VectorContainerSource()

template<class TOutputVectorContainer>

itk::VectorContainerSource< TOutputVectorContainer >::~VectorContainerSource | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## GetClassName()

template<class TOutputVectorContainer>

virtual const char * itk::VectorContainerSource< TOutputVectorContainer >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in elastix::FullSampler< TElastix >, elastix::GridSampler< TElastix >, elastix::MultiInputRandomCoordinateSampler< TElastix >, elastix::RandomCoordinateSampler< TElastix >, elastix::RandomSampler< TElastix >, elastix::RandomSamplerSparseMask< TElastix >, itk::ImageFullSampler< TInputImage >, itk::ImageFullSampler< elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageFullSampler< FixedImageType >, itk::ImageFullSampler< InputImageType >, itk::ImageFullSampler< typename elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageGridSampler< TInputImage >, itk::ImageGridSampler< elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageGridSampler< FixedImageType >, itk::ImageGridSampler< ImageType >, itk::ImageGridSampler< typename elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomCoordinateSampler< TInputImage >, itk::ImageRandomCoordinateSampler< elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomCoordinateSampler< FixedImageType >, itk::ImageRandomCoordinateSampler< typename elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomSampler< TInputImage >, itk::ImageRandomSampler< elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomSampler< FixedImageType >, itk::ImageRandomSampler< typename elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomSamplerBase< TInputImage >, itk::ImageRandomSamplerBase< elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomSamplerBase< FixedImageType >, itk::ImageRandomSamplerSparseMask< TInputImage >, itk::ImageRandomSamplerSparseMask< elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomSamplerSparseMask< typename elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageSamplerBase< TInputImage >, itk::ImageSamplerBase< elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageSamplerBase< FixedImageType >, itk::ImageSamplerBase< InputImageType >, itk::ImageSamplerBase< Self >, itk::ImageSamplerBase< TElastix >, itk::MultiInputImageRandomCoordinateSampler< TInputImage >, itk::MultiInputImageRandomCoordinateSampler< elx::ImageSamplerBase< TElastix >::InputImageType >, and itk::MultiInputImageRandomCoordinateSampler< typename elx::ImageSamplerBase< TElastix >::InputImageType >.

## GetOutput() [1/2]

template<class TOutputVectorContainer>

OutputVectorContainerType * itk::VectorContainerSource< TOutputVectorContainer >::GetOutput | ( |  | ) |

Get the vector container output of this process object.

## GetOutput() [2/2]

template<class TOutputVectorContainer>

OutputVectorContainerType * itk::VectorContainerSource< TOutputVectorContainer >::GetOutput | ( | unsigned int | idx | ) |

Get the vector container output of this process object.

## GraftNthOutput()

template<class TOutputVectorContainer>

virtual void itk::VectorContainerSource< TOutputVectorContainer >::GraftNthOutput | ( | unsigned int | idx,
|  | DataObject * | output )

virtual

Graft the specified DataObject onto this ProcessObject's output.

## GraftOutput()

template<class TOutputVectorContainer>

virtual void itk::VectorContainerSource< TOutputVectorContainer >::GraftOutput | ( | DataObject * | output | ) |

virtual

Graft the specified DataObject onto this ProcessObject's output.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TOutputVectorContainer>

itk::VectorContainerSource< TOutputVectorContainer >::ITK_DISALLOW_COPY_AND_MOVE | ( | VectorContainerSource< TOutputVectorContainer > |  | ) |

## MakeOutput()

template<class TOutputVectorContainer>

DataObjectPointer itk::VectorContainerSource< TOutputVectorContainer >::MakeOutput | ( | ProcessObject::DataObjectPointerArraySizeType | idx | ) |

override

Make a DataObject of the correct type to used as the specified output.

## New()

template<class TOutputVectorContainer>

Pointer itk::VectorContainerSource< TOutputVectorContainer >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<class TOutputVectorContainer>

void itk::VectorContainerSource< TOutputVectorContainer >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## Field Documentation

## m_GenerateDataNumberOfRegions

template<class TOutputVectorContainer>

int itk::VectorContainerSource< TOutputVectorContainer >::m_GenerateDataNumberOfRegions {}

private

Definition at line 90 of file itkVectorContainerSource.h.

## m_GenerateDataRegion

template<class TOutputVectorContainer>

int itk::VectorContainerSource< TOutputVectorContainer >::m_GenerateDataRegion {}

private

Member variables.

Definition at line 89 of file itkVectorContainerSource.h.

Generated on 1768596610 for elastix by 1.15.0 |